Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6074 - Kernel 2.2.5-15 dereferences null pointer
Summary: Kernel 2.2.5-15 dereferences null pointer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-19 02:29 UTC by ghn
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-04 22:27:39 UTC


Attachments (Terms of Use)

Description ghn 1999-10-19 02:29:53 UTC
After installing RH6.0 on a machine that had been happily
running 5.1 for several months, I have run into a problem.
Another user (rdnelson@princeton.edu) reports a similar
problem.  Running with an off-the-shelf 6.0 kernel
(2.2.5-15.i586) on an AMD K6-2/333 with 32M memory, the
machine locked up with the following message in
/var/log/messages:

Oct  7 17:36:50 mercury kernel: Unable to handle kernel NULL
pointer dereference at virtual address 00000004

For both of us, this problem seemed to occur while using
Netscape Communicator.  I have since upgraded to 2.2.5-22
and have not seen the problem again, but I don't know what
web site/page I was looking at that caused the problem
initially, or even if it was data-dependent.

I have been unable to determine what changes occurred
between release 15 and release 22, though the upgrade center
indicates 22 fixes a potential for "remotely hanging the
machine".

Could someone verify whether this is a known or fixed
problem?

Comment 1 Bill Nottingham 1999-10-19 14:49:59 UTC
We'd need more information. If you could run the full oops text
through ksymoops, it would be helpful.

Comment 2 Bill Nottingham 1999-11-04 23:22:59 UTC
Does the 2.2.12 kernel from 6.1 still have this problem?

Comment 3 Cristian Gafton 2000-01-04 22:27:59 UTC
Assigned to dledford

Comment 4 Alan Cox 2000-08-08 13:52:58 UTC
Closed in the absence of further traffic



Note You need to log in before you can comment on or make changes to this bug.